Read public pricing policy.
Public configured quote and node-payout policy for B3IQ paid work. This does not expose customer balances, gateway policy, tokens, or private billing rows.
GET
/v1/api/pricing
Public configured quote and node-payout policy for B3IQ paid work.
This does not expose customer balances, gateway policy, tokens, or
private billing rows.
Responses
200
Public pricing policy.
application/jsonobject
string
REQUIRED
Enum:
b3iq.pricinggenerated_at
string (date-time)
REQUIRED
currency
string
REQUIRED
Enum:
weimax_price_field
string
REQUIRED
Enum:
max_price_weiprivate_inference
object
REQUIRED
Configured private inference quote, billing policy, and node-payout fields.
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/api/pricing'
const response = await fetch('https://{controlPlaneHost}/v1/api/pricing', { method: 'GET'});const data = await response.json();console.log(data);
200
Response
{ "object": "b3iq.pricing", "generated_at": "2024-01-01T00:00:00Z", "currency": "wei", "max_price_field": "max_price_wei", "private_inference": "<object>"}
API Playground
Try this endpoint
GET
/v1/api/pricing

